## Deploy Demo Service Application (Kubernetes Cluster)
##### Step 1
Before apply manifest build the service's docker image and push it to remote repository
```sh
docker build -t ms-demo .
docker tag ms-demo mhdbashar/ms-demo
docker push mhdbashar/ms-demo
```
##### Step 2
Deploy Prometheus for monitoring in the cluster
```sh
kubectl apply -f Prometheus/*
```
###### note
when we have a monitoring namespace for kubernetes we only need to apply service monitor for our service e.g:
```sh
kubectl apply -f service-monitor.yaml
```

##### Step 3
Deploy the service to cluster with horizontal pod autoscaling
```sh
kubectl apply -f app-service-deployment.yaml
kubectl apply -f hpa.yaml
```
